--$Name: Mtungu Airplane$
--$Name(ru): Самолёт Мтунгу
--$Version:0.0.1$
instead_version '1.7.0'

require 'para'
require 'hideinv'

global
{
    day = 1,
    city_way = false,
    city_visited = false,
};

main = room
{
    nam = '«Самолёт Мтунгу»',
    pic = 'images/title.png',
    enter = function (s, from)
        set_music ('music/menu.ogg');
    end,
    dsc = function (s)
        p [[Автор игры: JunkieHipsta^
        Иллюстрации автора.^
        Музыка:^
        Lundsfryd – Ain’t Dead Yet^
        Captininsanity – Blue Jungle^^
        «Самолёт Мтунгу» – интерактивная новелла, написанная автором по
        мотивам собственного рассказа на блиц-конкурс Вжж! (2012 год).^^
        Адаптация для INSTEAD – Вадим В. Балашов (v.v.b.),
        vvb.backup@rambler.ru^
        Версия 0.0.1 (11.03.2014).
        ]];
        return;
    end,
    obj =
    {
        vway('1', '{Начать игру}^', 'intro_01'),
        -- vway('2', '{Инструкция}^', 'ins01'),
        -- vway('3', '{Благодарности}^^', 'gratitudes'),
--        vway('3', '{TEST}^^', 'test'),
--        vway('4', '{View map}^^', 'map_window'),
    },
};


intro_01 = room
{
    nam = '...',
--     hideinv = true,
    enter = function (s)
        set_music ('music/main_theme.ogg');
    end,
    pic = 'images/mtungu.png',
    dsc = function (s)
        p [[Сегодняшний день принёс новые беды. Сидя в своей хижине, Мтунгу
        вспоминал, как вчера кричали соседи, когда белые вытаскивали
        мужчин на улицу и связывали, чтобы вповалку погрузить на джип.^
        Вчера соседи смотрели на Мтунгу так, как будто их мужчин забрали
        вместо него, и это его, Мтунгу, должны были увести белые, а их
        родных – оставить.^
        Мтунгу ненавидел белых.
        ]];
    end,
    obj =
    {
        vway('1', '{Далее}', 'hut'),
    };
};


hut = room
{
    nam = 'Хижина Мтунгу',
    pic = 'images/hut.png',
    dsc = function (s)
        p [[Сквозь прутья, из которых была построена хижина, пробивалось
        солнце.^
        ]];
    end,
    obj =
    {
        'hut_floor',
        'hut_pot'
    };
    way =
    {
        vroom ('Выйти', 'near_hut'),
    },
    exit = function (s)
        p 'Мтунгу вышел из хижины.';
    end,
};


hut_floor = obj
{
    nam = 'пол',
    _examined = false,
    dsc = [[Мтунгу сидел на выстланным соломой {земляном полу},]],
    act = function (s)
        if s._examined then
            p [[Мтунгу больше ничего не нашёл.]];
        else
            s._examined = true;
            take (stick);
            p [[Мтунгу осмотрелся и обнаружил заострённую палочку. Такой
            удобно рисовать на песке.
            ]];
        end
    end,
};


hut_pot = obj
{
    nam = 'котелок',
    dsc = [[рядом с {закопчённым котелком}.]],
    act = [[Мтунгу не хочет есть.]],
};


stick = obj
{
    nam = 'палочка',
    dsc = 'Неподалёку лежит {заострённая палочка}.',
    inv = function (s)
        p [[Заострённая палочка.^
        Мтунгу в детстве любил рисовать на песке разные штуковины. Деревья
        и холмы, хижины и животных.^
        Детство давно прошло, а палочка, оказывается, осталась.
        ]];
    end,
    use = function (s, w)
        if w == hut_floor then
            p 'Мтунгу некогда рисовать.';
            return;
        end
        p 'Мтунгу может рисовать палочкой на песке.';
    end,
};


near_hut = room
{
    nam = 'Около хижины',
    pic = 'images/tent.png',
    obj =
    {
        'hut_outside',
        'axe'
    },
    way =
    {
        vroom ('Хижина', 'hut'),
        vroom ('Деревня', 'village'),
--        vroom ('Соседи', 'neighbours'),
--        vroom ('Старейшина', 'elder_hut'),
    },
    exit = function (s, w)
        if w == hut then
            if (day == 1) and zuma_lair._need_sleep then
                -- day two
                walk (day_two);
                return;
            end
        end
    end,
};


hut_outside = obj
{
    nam = 'hut_outside',
    _examined = false,
    dsc = function (s)
        p [[Мтунгу стоял под навесом из листьев, укрывающим вход в
        {хижину} от палящих солнечных лучей.
        ]];
    end,
    act = function (s)
        p [[Мтунгу осмотрелся.]];
        if not s._examined then
            s._examined = true;
            axe:enable();
            p 'Прислонённый к стенке хижины, стоял старый топор.';
        end
    end,
};


axe = obj
{
    nam = 'топор',
    dsc = 'Прислонённый к стенке хижины, стоял {старый топор}.',
    tak = 'Мтунгу взял топор.',
    inv = function (s)
        p [[Топор – полезный инструмент, им можно рубить сушняк, а можно
        сделать маленькую свистульку.^
        Ну, и голову, наверное, можно срубить, да только у врагов – винтовки.
        ]];
    end,
    use = function (s, w)
        if w == log and not log._cutted then
            if seen (log) and here () == near_hut then
                log._cutted = true;
                walk (log_cutting);
            else
                p [[Мтунгу нужно найти подходящее место чтобы строить летающую машину.
                ]];
            end
            return;
        end
        p 'Мтунгу не хочет махать топором. Сначала надо думать.';
        return;
    end,
}:disable ();


village = room
{
    nam = 'Деревня',
    pic = 'images/village.png',
    dsc = 'Деревня Мтунгу была не очень большой.',
    way =
    {
        vroom ('Хижина', 'near_hut'),
        vroom ('Соседи', 'neighbours'),
        vroom ('Старейшина', 'elder_hut'),
    },
    exit = function (s, w)
        if w == elder_hut then
            if (day == 1) and elder_hut._zuma then
                p 'Мтунгу пришёл к старосте, но того не было дома.';
                return false;
            end
            if (day == 2) and not log._cutted then
                p 'Мтунгу пришёл к старосте, но того не было дома.';
                return false;
            end
        end
    end,
};


neighbours = room
{
    nam = 'У соседей',
    pic = 'images/mtungu.png',
    dsc = 'Зайдя в хижину к соседям, Мтунгу тихонько присел у входа.',
    obj = { 'old_woman' },
    way =
    {
        vroom ('Выйти', 'village'),
    },
};


old_woman = obj
{
    nam = 'старуха',
    dsc = 'Внутри, у скудного очажка скорчилась {старуха и её дочь}.',
    act = function (s)
        walk (old_woman_dlg);
        return;
    end,
};


old_woman_dlg = dlg
{
    nam = 'У соседей',
    hideinv = true,
    pic = 'images/mtungu.png',
    dsc = 'Мтунгу решил поговорить с соседями.',
    phr =
    {
        {
            [[Не голодать вам и не испытывать жажды.]],
            [[Молчание было ему ответом. Они никогда не простят Мтунгу,
            что он остался, а их мужчина – нет.
            ]],
        };
        {
            always = true,
            [[Закончить разговор.]],
            nil,
            code = [[ back (); ]]
        };
    },
};


elder_hut = room
{
    nam = 'Старейшина',
    _zuma = false,
    pic = 'images/elder.png',
    obj = { 'elder' },
    way =
    {
        vroom ('Выйти', 'village'),
    },
    exit = function (s, w)
        if w == village then
            if (day == 1) and s._zuma then
                walk (elder_dlg_city);
            end
        end
        return;
    end,
};


elder = obj
{
    nam = 'старейшина',
    dsc = function (s)
        p [[{Староста} сидел и щурился на солнышке, облокотившись на
        соломенную корзину.
        ]];
    end,
    act = function (s)
        if (day == 1) then
            walk (elder_dlg_1);
        end
        if (day == 2) then
            walk (elder_dlg_2);
        end
        return;
    end,
};


elder_dlg_1 = dlg
{
    nam = 'Старейшина',
    hideinv = true,
    pic = 'images/elder.png',
    dsc = 'Мтунгу решил поговорить со старейшиной.',
    phr =
    {
        {
            [[Не голодать тебе и не испытывать жажды.]],
            [[– Тебе повезло, Мтунгу, на этот раз повезло, – только и
            молвил староста.
            ]],
            code = [[ pon ('lucky'); ]]
        };
        {
            tag = 'lucky',
            false,
            [[Ты... Тоже думаешь, будто я в чём-то виноват?]],
            [[– Нет, конечно нет. Но деревне от этого не легче. Проклятые
            белые, они нас совсем изведут.
            ]],
            code = [[ pon ('revenge'); ]]
        };
        {
            tag = 'revenge',
            false,
            [[Я хочу отомстить им.]],
            [[– У тебя нет ничего для этого. Чтобы мстить, нужны союзники,
            нужно оружие.
            ]],
            code = [[ pon ('allies'); pon ('weapon'); ]],
        };
        {
            tag = 'allies',
            false,
            [[Союзники?]],
            [[– Чтобы мстить, нужны союзники. У тебя есть в деревне
            союзники?
            ]],
            code = [[ pon ('allies_here'); ]]
        };
        {
            tag = 'allies_here',
            false,
            [[Может быть ты будешь моим союзником?]],
            [[– Я с тобой никуда не пойду.]],
        };
        {
            tag = 'weapon',
            false,
            [[Оружие?]],
            [[– Чтобы мстить, нужно оружие. У тебя есть оружие?]],
            code = [[ pon ('weapon_have'); ]],
        };
        {
            tag = 'weapon_have',
            false,
            [[У меня нет. Может быть у тебя есть оружие?]],
            [[– У меня нет. Ни у кого нет. Белые забирают всё оружие,
            чтобы мы не повернули его против них.
            ]],
            code = [[ pon ('zuma'); ]],
        };
        {
            tag = 'zuma',
            false,
            [[Ты забыл про Зуму.]],
            [[– Ах, Зума... – старик рассмеялся и закашлялся. – Такой же
            мечтатель, как и ты. Ну так и иди к своему Зуме. У него есть
            оружие. О котором никто не знает, потому что Зума прячется ото
            всех в своей норе и не высунет носу, когда белые снова
            придут.
            ]],
            code = [[ elder_hut._zuma = true; ways(village):add(vroom ('Зума', 'zuma_lair')); ]],
        };
        {
            always = true,
            [[Закончить разговор.]],
            nil,
            code = [[ back (); ]]
        };
    },
};


elder_dlg_city = room
{
    nam = 'Старейшина',
    hideinv = true,
    pic = 'images/elder.png',
    dsc = function (s)
        p [[Мтунгу собрался выйти, но старейшина остановил его:^
        – И да, завтра ты нужен мне. Я отправляю четверых в город.
        Продадите корзины и шкуры, а на вырученное купите одеяла.
        Начинается сезон ветров, ночи стали холодными. Если город всё ещё
        противен тебе – можешь не ходить. Тогда тебе не достанется одеяла,
        будешь спать под соломой.^
        Мтунгу пожал плечами. Ему было всё равно.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'village'),
    };
};


elder_dlg_2 = dlg
{
    nam = 'Старейшина',
    hideinv = true,
    pic = 'images/elder.png',
    dsc = 'Мтунгу решил поговорить со старейшиной.',
    phr =
    {
        {
            [[Не голодать тебе и не испытывать жажды.]],
            [[– Мтунгу, сегодня ты пойдёшь с четверыми в город, помнишь?, – сказал староста.
            ]],
            code = [[ pon ('city2'); ]]
        };
        {
            tag = 'city2',
            false,
            [[Не пойду.]],
            [[– Пойдёшь.]],
            code = [[ pon ('fly_machine'); ]]
        };
        {
            tag = 'fly_machine',
            false,
            [[Мне некогда, я мастерю крылатую машину.]],
            [[– Я видел, дети рассказали мне. Это пустая затея. Ты привлекаешь к нам внимание, Мтунгу, – староста выглядел озабоченным. – Ты хочешь, чтобы белые как следует обыскали деревню и нашли нашего Зуму-дурачка, а при нём винтовку? Займись лучше делом, юноша, помоги нам всем не замёрзнуть.
            ]],
            code = [[ pon ('fly_machine_2'); ]]
        };
        {
            tag = 'fly_machine_2',
            false,
            [[Ну хорошо...]],
            [[Мтунгу вспомнил бесполезное сооружение с палками вместо крыльев у своего дома и кивнул:^
            – Ну хорошо. Не голодать тебе и не испытывать жажды.
            ]],
            code = [[ city_way = true; ]]
        };
        {
            always = true,
            [[Закончить разговор.]],
            nil,
            code = [[ back (); ]]
        };
    },
};


zuma_lair = room
{
    nam = 'Зума',
    _visited = false,
    _need_sleep = false,
    pic = 'images/zuma.png',
    dsc = function (s)
        if not s._visited then
            p [[Жилище Зумы было под сеновалом у дома соседей. Чужой и не
            смог бы разглядеть его снаружи.^
            ]];
        end
        p [[Мтунгу с трудом протиснулся через узкий лаз, не рассчитанный на
        высокого человека, и оказался в землянке.^
        ]];
        if not s._visited then
            s._visited = true;
            p [[Здесь было темно, особенно с непривычки, после яркого
            полуденного солнца там, наверху, снаружи.^
            ]];
        end
    end,
    obj =
    {
        'zuma'
    },
    way =
    {
        vroom ('Выйти', 'village'),
    },
    exit = function (s, w)
        if w == village then
            if s._need_sleep then
                p [[Солнце клонилось к закату. С тяжёлым сердцем Мтунгу
                отправился спать.
                ]];
            end
        end
        return;
    end,
};


zuma = obj
{
    nam = 'Зума',
    dsc = function (s)
        p [[Мтунгу кашлянул, привлекая к себе внимание обитателя скудного
        жилища, чей {силуэт} угадывался за ворохом тряпья и мусора.
        Зажмурился и открыл глаза, пытаясь привыкнуть к сумраку.
        ]];
    end,
    act = function (s)
        walk (zuma_dlg);
        return;
    end,
};


zuma_dlg = dlg
{
    nam = 'Зума',
    hideinv = true,
    pic = 'images/zuma.png',
    dsc = 'Мтунгу решил поговорить с Зумой.',
    phr =
    {
        {
            [[Не голодать тебе и не испытывать жажды.]],
            [[– Не голодать тебе и не испытывать жажды, – раздался в ответ
            скрипучий голос. Мтунгу приблизился к хозяину, чтобы по обычаю
            троекратно пожать ладонь, сухую и жёсткую.
            ]],
            code = [[ pon ('how_r_u'); ]]
        };
        {
            tag = 'how_r_u',
            false,
            [[Как поживаешь, Зума?]],
            [[– Да ничего, культя только болит, как всегда в сезон ветров,
            – пожаловался Зума. – Какие новости наверху?
            ]],
            code = [[ pon ('news'); ]]
        };
        {
            tag = 'news',
            false,
            [[Вчера приезжали белые...]],
            [[– Вчера приезжали белые, забрали двоих взрослых. Говорят, на
            севере им нужны солдаты, нжера за Рекой убивают белых, –
            Мтунгу с трудом устроился в тесноте напротив Зумы.^
            – Нжера – беспокойные, и не дадут белым спуску.
            ]],
            code = [[ pon ('njera'); ]]
        };
        {
            tag = 'njera',
            false,
            [[А при чём тут мы?]],
            [[– А при чём тут мы? Нам нжера не сделали ничего плохого.^
            Зума тихо рассмеялся.^
            – Ты молодой ещё, Мтунгу. Белые – хитрые. Сегодня они
            стравливают нас между собой, а завтра – забирают наши
            обезлюдевшие земли. Понимаешь?
            ]];
            code = [[ pon ('they_took'); ]]
        };
        {
            tag = 'they_took',
            false,
            [[Они давно забрали себе всё...]],
            [[– Они давно забрали себе всё, что могли, куда только
            дотянулись их руки. – У Мтунгу свело скулы от злости.^
            – Иди и покричи об этом в городе. Тогда они заберут и тебя, –
            Зума сидел, поджав под себя единственную ногу, и меланхолично
            поглаживал завёрнутый в тряпку предмет, лежавший рядом. – Или
            убьют, и вместе с тобой ещё кого-нибудь из деревни. И приведут
            своего старосту. Ты этого хочешь?
            ]],
            code = [[ pon ('i_want'); ]]
        };
        {
            tag = 'i_want',
            false,
            [[Я хочу, чтобы...]],
            [[– Я хочу, чтобы им тоже было плохо, чтобы они почувствовали,
            каково это – когда тебе причиняют боль.^
            – Не будь глупцом, Мтунгу. Белые давно здесь хозяева. Наши
            времена прошли. У нас – ножи, копья и стрелы. У них – винтовки
            и автомобили. И флитуиги.
            ]],
            code = [[ pon ('fleet'); ]]
        };
        {
            tag = 'fleet',
            false,
            [[Флитуиги?...]],
            [[– Флитуиги? – удивился Мтунгу незнакомому слову. В отличие
            от старика Зумы, он плохо говорил на языке белых.^
            – Воздушные лодки. Ты же видел, на горизонте, у Мёртвых Камней
            – лагерь. Там у них «Ф-4», целая стая.
            ]],
            code = [[ pon ('f4'); ]];
        };
        {
            tag = 'f4',
            false,
            [[Крылатые машины, да!...]],
            [[– Крылатые машины, да! – глаза Мтунгу загорелись. – Я видел
            как каждое утро оттуда, из лагеря, взлетают, оставляя за собой
            чёрные дымные следы в воздухе! И не машут крыльями, как птицы!
            Как это возможно, Зума?^
            Зума снова рассмеялся, скрипуче, устало, мелко содрогаясь.^
            – Ветер толкает их. Из машин, изнутри, вырывается горячий
            ветер. Вместе с дымом. Им не нужно махать крыльями, ветер
            несёт их как перо птицы.^
            Мтунгу задумался. Зума продолжил:^
            – С воздушных лодок удобно сбрасывать бомбы на непокорных, не
            опасаясь, что тебя настигнет пуля или стрела в ответ. Ты видел
            как действуют бомбы?
            ]],
            code = [[ pon ('bombs'); ]]
        };
        {
            tag = 'bombs',
            false,
            [[Видел...]],
            [[– Видел, – опустил голову Мтунгу.^
            – Вот так. Так мне и оторвало ногу. Тогда-то я и сбежал от
            них. – И Зума ушёл в себя, погрузившись в воспоминания.^
            Мтунгу был ещё совсем маленьким, когда Зума, которого, как
            случалось всегда, увезли куда-то с собой африканеры на
            автомобилях, вернулся в родную деревню, подпрыгивая на одной
            ноге, в солнцезащитных очках, какие носят белые, чтобы
            скрывать за чёрными стёклами ложь. Перед собой Зума толкал
            тележку, набитую своим скарбом.^
            Оказалось, он сбежал от белых.^
            Ещё у Зумы была винтовка. Одна на всю деревню. И
            неразорвавшийся фугас, похожий на толстую рыбину с хвостом,
            подобным оперению стрелы.^
            Зума тогда сказал: «Если они меня будут искать и найдут, я
            ударю по фугасу и взорвусь вместе с ними». Потом он вырыл себе
            землянку на окраине деревни и завалил вход соломой.
            ]],
            code = [[ pon ('about_fleet'); ]]
        };
        {
            tag = 'about_fleet',
            false,
            [[...про флитуиги...]],
            [[– Знаешь, Зума, я про эти флитуиги и хотел с тобой
            поговорить, – после краткой паузы сказал Мтунгу.^
            – Говори же, – не переставал водить ладонью по тряпичному
            свёртку Зума.
            ]],
            code = [[ pon ('make_it'); ]]
        };
        {
            tag = 'make_it',
            false,
            [[Я хочу смастерить такую машину...]],
            [[– Я хочу смастерить такую машину, – сказал Мтунгу.^
            – У тебя ничего не выйдет. Они устроены слишком сложно. Как ты
            получишь ветер изнутри?
            ]],
            code = [[ pon ('winds'); ]]
        };
        {
            tag = 'winds',
            false,
            [[Сейчас сезон ветров...]],
            [[– Сейчас сезон ветров, – сказал Мтунгу. – Завтра задует с
            запада. Я наблюдал за птицами: когда сильный ветер и жарко,
            они парят в воздухе неподвижно. Значит, я тоже так смогу.^
            – И зачем тебе это? – спросил Зума.
            ]],
            code = [[ pon ('why'); ]]
        };
        {
            tag = 'why',
            false,
            [[Подняться в небо...]],
            [[– Подняться в небо. Увидеть оттуда землю. Посмотреть на
            белых с высоты. Разрушить лагерь с крылатыми машинами.^
            – Ты безумец, Мтунгу. У тебя нет оружия и ничего не выйдет. И
            машина твоя не взлетит. Повторить – не значит сделать то же
            самое. Ты же знаешь, что вырезанная из дерева винтовка не
            стреляет. Магия, в которую мы верили, не работает. Слышишь?
            Магии не существует!
            ]],
            code = [[ pon ('rifle'); ]]
        };
        {
            tag = 'rifle',
            false,
            [[Ты дашь мне свою винтовку...]],
            [[– Ты дашь мне свою винтовку. Я буду парить и стрелять по
            белым сверху. И очки, дашь мне свои очки? Наверху светит яркое
            солнце – я могу ослепнуть.^
            – Не дам, – отрезал Зума и отвернулся. Из-под его нелепых
            солнцезащитных очков побежали слёзы.^
            Вот что он скрывал, понял Мтунгу. Он скрывал боль и мысль о
            возмездии, которому никогда не суждено случиться.
            ]],
            code = [[ zuma_lair._need_sleep = true; ]]
        };
        {
            always = true,
            [[Закончить разговор.]],
            nil,
            code = [[ back (); ]]
        };
    },
};


day_two = room
{
    nam = '...',
    hideinv = true,
    enter = function (s)
        day = 2;
        ways(village):add(vroom ('Окраина', 'village_outside'));
        ways(village):del('Соседи');
        ways(village):del('Зума');
    end,
    pic = 'images/hut.png',
    dsc = function (s)
        p [[Всю ночь Мтунгу пытался заснуть. Но смог лишь под утро.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'hut'),
    };
};


village_outside = room
{
    nam = 'Окраина деревни',
    pic = 'images/edge.png',
    dsc = function (s)
        p [[Мтунгу стоял на окраине деревни. Ветер беспокоил жёлтую траву,
        редкие птицы пролетали в небе.^
        Вытоптанная, покрытая следами колёс и копыт дорога уходила за
        горизонт.^
        Там был город. В городе было много чёрных, как Мтунгу, но ими
        помыкала горстка белых.^
        Мтунгу не любил город.^
        Узкая тропинка в траве заворачивала за холм, к руслу высохшей реки.
        ]];
    end,
--    obj =
--    {
--        'hut_floor',
--        'hut_pot'
--    };
    way =
    {
        vroom ('Город', 'city'),
        vroom ('Деревня', 'village'),
        vroom ('Река', 'river_bank'),
    },
    exit = function (s, w)
        if w == city then
            if not city_way then
                p [[Мтунгу нечего было делать в городе.^
                В городе жили белые, и одна мысль о соседстве с ними
                вызывала отвращение.
                ]];
                return false;
            else
                city_way = false;
                city_visited = true;
                return;
            end
        end
    end,
};


river_bank = room
{
    nam = 'Русло реки',
    pic = 'images/mtungu.png',
    dsc = function (s)
        p [[
        Обогнув по тропинке обожжённый солнцем холм, Мтунгу вышел к реке.^
        Точнее, к её высохшему руслу.
        ]];
    end,
    obj =
    {
        'river',
        'log',
    },
    way =
    {
        vroom ('К деревне', 'village_outside'),
    },
};


river = obj
{
    nam = 'река',
    dsc = function (s)
        p [[{Дно реки} было покрыто трещинами, из которых робко
        выглядывали редкие травинки.
        ]];
    end,
    act = function (s)
        log:enable ();
        p [[Мтунгу внимательно осмотрел дно высохшей реки.
        ]];
        if seen (log) then
            p [[Между камнями он нашёл засыпанное песком бревно. Его
            сердцевина сгнила и оно оказалось не тяжёлым.
            ]];
        end
    end,
};


log = obj
{
    nam = 'бревно',
    _cutted = false,
    dsc = function (s)
        if here() == river_bank then
            p 'Между камнями лежит {бревно}.';
            return;
        end
        if not s._cutted then
            p 'У входа в хижину лежало {бревно}, принесённое с реки.';
        end
        if s._cutted then
            p 'У входа в хижину лежала недостроенная {летающая машина}.';
        end
        return;
    end,
    tak = function (s)
        if here() == river_bank then
            p 'Мтунгу прихватил бревно с собой.';
            return;
        else
            p 'Мтунгу не хочет брать с собой бревно.';
            return false;
        end
    end,
    inv = function (s)
        p [[Бревно пригодится. Из него можно сделать оболочку для крылатой
        лодки.
        ]];
    end,
    use = function (s, w)
        if w == hut_outside then
            drop (log);
            p 'Мтунгу бросил бревно рядом с хижиной.';
            return;
        end
        p 'Мтунгу нужно бревно чтобы сделать крылатую лодку.';
        return;
    end,
}:disable();


log_cutting = room
{
    nam = 'Около хижины',
    pic = 'images/tent.png',
    hideinv = true,
    dsc = function (s)
        p [[Орудуя топором, Мтунгу выдолбил из бревна подобие лодки.^
        Оторвав от стен хижины прутья, Мтунгу сплёл из них седло, водрузил
        сверху лодки.^
        Крылья, оставались крылья.^
        Сплести их из прутьев было невозможно. Если плести из прутьев,
        крылья сломаются от собственной тяжести.^
        Значит, нужно было что-то ещё.^
        Мтунгу привязал к лодке остов для крыльев. Ну и дыра в стенке
        хижины... Теперь ветер натаскает внутрь песок и перекати-поле.^
        Почесав в затылке, Мтунгу посмотрел на солнце. В небе раздался рёв
        крылатой машины. Флитуиг, казавшийся отсюда искрой, взмыл в
        облака, а вниз медленно оседала чёрная полоса.
        Вывешенная для сушки возле хижин одежда затрепетала от внезапного
        порыва ветра.^
        Мтунгу, кажется, понял, чего ему не хватало.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'near_hut'),
    },
};


city = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/edge.png',
    enter = function (s)
        take (pack);
    end,
    dsc = function (s)
        p 'В городе удалось продать корзины и шкуры и купить одеял.';
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'massacre'),
    };
};


pack = obj
{
    nam = 'тюк',
    inv = 'Тюк с одеялами.',
};


massacre = room
{
    nam = 'Деревня',
    hideinv = true,
    pic = 'images/massacre.png',
    hideiv = true,
    dsc = function (s)
        p [[Вернувшись через три ночи, Мтунгу наткнулся на плакальщиц у дома старосты. Они громко причитали и гладили распухшие трупы, по которым деловито ползали сверкающие зелёные мухи. У одного из мертвецом недоставало ноги.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'village_dead'),
    };
};


village_dead = room
{
    nam = 'Деревня',
    pic = 'images/massacre.png',
    dsc = function (s)
        p [[Повсюду валяются трупы жителей деревни.
        ]];
    end,
    obj =
    {
        'zuma_dead',
        'glasses'
    },
    way =
    {
        vroom ('Староста', 'elder_hut_dead'),
    },
    exit = function (s, w)
        if not have (glasses) then
            p 'Мтунгу надо осмотреться.';
            return false;
        end
    end,
};


zuma_dead = obj
{
    nam = 'Зума',
    _examined = false,
    dsc = function (s)
        p 'У {одного из трупов} недоставало ноги.';
    end,
    act = function (s)
        if s._examined then
            p 'Мтунгу больше ничего не нашёл.';
        else
            glasses:enable();
            s._examined = true;
            p 'Мертвец без ноги был Зума. Рядом валялись его очки.';
        end
    end,
};


elder_hut_dead = room
{
    nam = 'Старейшина',
    _zuma = false,
    pic = 'images/elder.png',
    obj = { 'elder_dead' },
    way =
    {
        vroom ('Выйти', 'village_dead'),
    },
    exit = function (s, w)
        if w == village_dead and s._zuma then
            p [[Мтунгу, ничего не сказав в ответ, зашагал прочь, с силой топча пятками виноватую землю.
            ]];
        end
    end,
};


elder_dead = obj
{
    nam = 'старейшина',
    dsc = function (s)
        p [[{Староста} сидел, обхватив руками голову.
        ]];
    end,
    act = function (s)
        walk (elder_dlg_dead);
    end,
};


elder_dlg_dead = dlg
{
    nam = 'Старейшина',
    hideinv = true,
    pic = 'images/elder.png',
    phr =
    {
        {
            [[Что здесь произошло?]],
            [[– Они хотели забрать ещё нескольких взрослых за Оранжевую
            реку, воевать с нжера. Мужчины сопротивлялись. Женщины
            сопротивлялись, хватали за рукава. Белые били женщин, –
            староста едва шевелил губами. – Я не заметил, как из своей
            землянки выполз Зума. Он пытался выстрелить из винтовки, но не
            успел. Ну и хорошо, что не успел. А то бы убили всех... Он не
            сразу умер. Корчился, стонал, всё тебя вспоминал. Говорил,
            ценные вещи отдать тебе. Да какие у него вещи... Винтовку, и
            ту сломали. Смеялись и ломали о камни, ругались по-своему.
            Тележку возьми из землянки, пригодится, – староста бессильно
            повалился на спину, набрал пригоршню песка и выпустил его себе
            на лицо тонкой струйкой.
            ]],
            code = [[ elder_hut_dead._zuma = true; ways(village_dead):add(vroom ('Зума', 'zuma_lair_dead')); ]],
        };
        {
            always = true,
            [[Закончить разговор.]],
            nil,
            code = [[ back (); ]]
        };
    },
};


glasses = obj
{
    nam = 'очки',
    dsc = 'Неподалёку лежат {очки Зумы}.',
    tak = 'Мтунгу подобрал очки и зачем-то нацепил их себе на нос.',
    inv = 'Очки Зумы. Ему они больше не нужны.',
}:disable();


zuma_lair_dead = room
{
    nam = 'Зума',
    pic = 'images/mtungu.png',
    dsc = function (s)
        p [[В землянке было тихо и темно.^
        И пусто. Только сейчас Мтунгу понял, что Зума мёртв и никогда сюда не вернётся.
        ]];
    end,
    obj =
    {
        'cart',
        'fugas',
    },
    way =
    {
        vroom ('Выйти', 'village_funeral'),
    },
    exit = function (s, w)
        if w == village_funeral then
            if not (have (cart) and have (fugas)) then
                p 'Мтунгу может что-то пригодится из вещей Зумы.';
                return false;
            end
        end
    end,
};


cart = obj
{
    nam = 'тележка',
    dsc = 'В углу лежала перевёрнутая {тележка}.',
    tak = 'Мтунгу взял с собой тележку.',
    inv = 'Это тележка Зумы c большими колёсами.',
};


fugas = obj
{
    nam = 'фугас',
    dsc = 'А там, где было место Зумы, лежал {тряпичный свёрток}.',
    tak = function (s)
        walk (fugas_take);
        return;
    end,
};


fugas_take = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/fugas.png',
    dsc = function (s)
        p [[Мтунгу осторожно развернул свёрток.^
        На тряпке лежал поблёскивавший, слегка подржавевший фугас.^
        Мтунгу знал, для чего такие нужны, и его охватило волнение.
        ]];
        if have (cart) then
            p [[Он осторожно, как ребёнка, спеленал тяжёлую веретенообрзную болванку и уложил в тележку.
            ]];
        else
            p [[Он осторожно, как ребёнка, спеленал тяжёлую веретенообрзную болванку и взял её с собой.
            ]];
        end
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'zuma_lair_dead'),
    };
};


village_funeral = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/village.png',
    dsc = function (s)
        p [[Погибших хоронили вечером. Староста загребал землю горстями и остервенело швырял в вырытую яму.^
        Кода Мтунгу повернулся, чтобы уйти, он почувствовал на спине десятки взглядов, которые, казалось, прожигали его насквозь.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'hut_day_6_intro'),
    };
};


hut_day_6_intro = room
{
    nam = 'Хижина Мтунгу',
    hideinv = true,
    pic = 'images/hut.png',
    dsc = function (s)
        p [[Мтунгу не спал почти всю ночь.^
        На утро Мтунгу твёрдо решил, что сегодня запустит флитуиг в небо...
        ]];
    end,
    obj =
    {
--        vway ('1', '{Дальше}', 'hut_day_6'),
        vway ('1', '{Дальше}', 'final_01'),
    };
};


-- hut_day_6 = room
-- {
--     nam = 'Хижина Мтунгу',
--     pic = 'images/hut.png',
--     dsc = function (s)
--         p [[Сквозь прутья, из которых была построена хижина, пробивалось
--         солнце.^
--         ]];
--     end,
--     obj =
--     {
--         'hut_floor',
--         'hut_pot'
--     };
--     way =
--     {
--         vroom ('Выйти', 'near_hut_day_6'),
--     },
--     exit = function (s)
--         p 'Мтунгу вышел из хижины.';
--     end,
-- };


final_01 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/tent.png',
    dsc = function (s)
        p [[Мтунгу выкатил из под навеса крылатую машину. Колёса тележки, на которой закрепил бревно с отбянутыми белыми одеялами палками, скрипели, но несли машину вперёд.^
        Ветер волновал ткань на крыльях, и, казалось, что крылатая машина сама вот-вот взлетит.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_02'),
    };
};


final_02 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/village.png',
    dsc = function (s)
        p [[У русла высохшей реки Мтунгу зранее приглядел подходящий спуск, обращённый к утреннему солнцу, выплывающему из-за горизонта. Здесь не было камней и можно было разогнать машину.^
        Ухватив одной рукой ребро тележки, а другой – седло, Мтунгу побежал, толкая флитуиг перед собой. Флитуиг покатился – сначала медленно и трудно, а потом, словно почуяв решимость хозяина, всё охотнее – по склону, громыхая на кочках, и камушки летели из под колёс.^
        Когда Мтунгу перестал поспевать за разогнавшейся крылатой машиной, он запрыгнул на седло и подхватил вожжи.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_03'),
    };
};


final_03 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/flight.png',
    dsc = function (s)
        p [[Флитуиг наклонился вперёд, едва не зарывшись в землю носом, но вдруг выровнялся и взлетел.^
        Ветер шумел в ушах, напевая свою старинную песню, и Мтунгу подпевал ветру, крепко держась за вожжи. Всё на земле, – и скалы, и дороги, и дома – казалось с высоты ненастоящим, нарисованным на песке.
        В этот миг Мтунгу подумал: «Если бы не очки Зумы, солнце сожгло бы мне глаза».
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_04'),
    };
};


final_04 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/flight.png',
    dsc = function (s)
        p [[Лагерь крылатых машин ещё спал, только серая решётка на башне вращалась, как ветряк.^
        Мтунгу извлёк из сумы тяжёлое веретено фугаса. Фугас блестнул на солнце.^
        «Когда зебра бежит – я бросаю копьё туда, где её ещё нет».^
        И фугас полетел вниз, и ветер в его оперении тонко и протяжно засвистел.^
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_05'),
    };
};


final_05 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/flight.png',
    dsc = function (s)
        p [[Когда две стоявшие рядом крылатые машины накрыло вспучившееся облако пламени, лагерь проснулся. Похожие на мышей люди забегали вдоль взлётной полосы, занимая свои места во флитуигах. Некоторые стояли, задрав головы, показывая руками на летящего Мтунгу.^
        «Вот и всё. Фугас был только один», – подумал Мтунгу, и от этой мысли стало грустно и пусто.^
        Он попрощался с приютившим его небом и землёй, поблагодарил в мыслях мёртвого Зуму за очки и духов за безмолвие, и отпустил вожжи. В это время взревели запускаемые двигатели «Ф-4».
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_06'),
    };
};


final_06 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/flight.png',
    dsc = function (s)
        p [[Застрекотали автоматные очереди.^
        Флитуиг Мтунгу парил в небе, одинокий, подобный большой, но беспомощной белой птице. В него так легко было попасть. Мтунгу закрыл глаза, приготовившись умереть.
        ]];
    end,
    obj =
    {
        vway ('1', '{Дальше}', 'final_07'),
    };
};



final_07 = room
{
    nam = '...',
    hideinv = true,
    pic = 'images/riders.png',
    enter = function (s, from)
        set_music ('music/menu.ogg');
    end,
    dsc = function (s)
        p [[Когда он снова открыл их, он увидел летящих к нему белых птиц. Их было много, и они появились отовсюду. Белые птицы с неподвижными крыльями.^
        Одеяла, шкуры и лоскутья ткани трепетали на ветру.^
        Чёрные лица всадников были озарены белозубыми улыбками.^
        Каждый^
            держал^
                в руке^
                    по фугасу.^^
        <b><c>КОНЕЦ</c></b>
        ]];
    end,
};
